Bug 803449 - initscripts-legacy has a typo in package scripts
Summary: initscripts-legacy has a typo in package scripts
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: initscripts
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-03-14 18:15 UTC by Michal Jaegermann
Modified: 2014-03-17 03:30 UTC (History)
6 users (show)

Fixed In Version: initscripts-9.37-1.fc17
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-03-14 19:12:24 UTC
Type: ---


Attachments (Terms of Use)

Description Michal Jaegermann 2012-03-14 18:15:58 UTC
Description of problem:

$ rpm -q --scripts initscripts-legacy
shows this:
....
preuninstall scriptlet (using /bin/sh):
if [ $1 = 0 ; then                       <---- HERE!
  /sbin/chkconfig --del netfs
fi

Not surprisingly this ends up with complaints about missing ']'.

Version-Release number of selected component (if applicable):
initscripts-legacy-9.36-1.fc18 (and others).

Comment 1 Fedora Update System 2012-03-14 19:12:13 UTC
initscripts-9.36-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/FEDORA-2012-3654/initscripts-9.36-2.fc17

Comment 2 Bill Nottingham 2012-03-14 19:12:24 UTC
Fixed, thx.

Comment 3 Fedora Update System 2012-03-23 17:44:36 UTC
initscripts-9.37-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.